using System;
using System.Collections.Generic;
using System.Text;
using System.Xml.Serialization;

namespace UHF_Demo
{
    public class Orden
    {
        public string ordenid;
        public string matricula;
        public bool recepcion;
        public string[] cajas;

        public Orden(string ord)
        {
            ordenid = ord;
            cajas[0] = "0";
            matricula = "";
            recepcion = false;
        }

        public Orden(string ord, string[] caj, string mat)
        {
            ordenid = ord;
            cajas = new string[caj.Length];
            caj.CopyTo(cajas, 0);
            matricula = mat;
            recepcion = false;
        }

        public Orden(string ord, string[] caj)
        {
            ordenid = ord;
            cajas = new string[caj.Length];
            caj.CopyTo(cajas, 0);
            matricula = "";
            recepcion = false;
        }

        public Orden(string ord, string[] caj, string mat, bool rece)
        {
            ordenid = ord;
            cajas = new string[caj.Length];
            caj.CopyTo(cajas, 0);
            matricula = mat;
            recepcion = rece;
        }

        public string matriculaID
        {
            get
            {
                return matricula;
            }
            set
            {
                matricula = value;
            }
        }

        public bool recepcionID
        {
            get
            {
                return recepcion;
            }
            set
            {
                recepcion = value;

            }
        }

        public string[] cajasID
        {
            get
            {
                return cajas;
            }
            set
            {
                cajas = new string [value.Length];
                value.CopyTo(cajas, 0);
            }
        }



    }
}
