using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.IO;
using System.Net.Sockets;
using System.Net;
using System.Xml;
using System.Xml.Serialization;
using System.Xml.Schema;
using System.Xml.XPath;

namespace UHF_Demo
{
    public partial class Pesca : Form
    {
        ComPort Port0 = new ComPort();
        string s0 = "";
        byte[,] TagBuf = new byte[100, 14];
        bool flagsave;
        int tagindex = 0;     //ARRAY INDEX
        string[] tags = new string[1];       //TAGs ARRAY
        string[] tags2;     //aux array
        bool flagxml = false;
        string fName;
        string EPCcode;
        string EPCcode2;
        string tf;
        string dirarchiv;
        string dirclass;
        string dirclassR;
        string tagdata;
        string diropc = @"\My Documents\capturas\opciones.xml";
        string IP;
        

        public Pesca()
        {
            InitializeComponent();
        }

        private void Ant0_Click(object sender, EventArgs e)
        {
            this.Close();
        }

        private void Pri0_Click(object sender, EventArgs e)
        {
            this.Close();
        }

        private void Sig0_Click(object sender, EventArgs e)
        {
            tabControl1.SelectedIndex = tabControl1.TabPages.IndexOf(tabPage2);
        }

        private void Ant1_Click(object sender, EventArgs e)
        {
            tabControl1.SelectedIndex = tabControl1.TabPages.IndexOf(tabPage1);
        }

        private void Pri1_Click(object sender, EventArgs e)
        {
            this.Close();
        }

        private void Sig1_Click(object sender, EventArgs e)
        {
            tabControl1.SelectedIndex = tabControl1.TabPages.IndexOf(tabPage3);
        }

        private void Ant2_Click(object sender, EventArgs e)
        {
            tabControl1.SelectedIndex = tabControl1.TabPages.IndexOf(tabPage2);
        }

        private void Pri2_Click(object sender, EventArgs e)
        {
            this.Close();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            Port0.ClearIdBuf();
            Port0.Open();
            this.timer1.Enabled = true;

            //int status=1;
            //byte[] value = new byte[8];
            //byte membank = (byte)(3);
            //byte wordptr = (byte)(0);
            //byte wordcnt = (byte)(4);

            //string s2 = "";

            //Port0.ClearIdBuf();
            //Port0.Open();
            //if (Port0.Opened==true)
            //    status = Port0.EpcRead(membank, wordptr, wordcnt, ref value);
            //Port0.Close();

            //if (status == 0)
            //{
            //    for (int i = 0; i < wordcnt * 2; i++)
            //    {
            //        s2 = string.Format("{0:X2}", value[i]);
            //        tagdata += s2;
            //    }
            //    MessageBox.Show("Lectura correcta", "OK", MessageBoxButtons.OK, MessageBoxIcon.None, MessageBoxDefaultButton.Button1);
            //    LecTagComercial.Text = "1 tag ledo";
            //    LecTagComercial.Text = tagdata;
            //}
            //else
            //{
            //    MessageBox.Show("Error de lectura", "Error", MessageBoxButtons.OK, MessageBoxIcon.Exclamation, MessageBoxDefaultButton.Button1);
            //}
        }

        private void timer1_Tick(object sender, EventArgs e)
        {
            int status = 1;
            byte[] value = new byte[8];
            byte membank = (byte)(3);
            byte wordptr = (byte)(0);
            byte wordcnt = (byte)(4);

            string s2 = "";

            if (Port0.Opened == true)
                status = Port0.EpcRead(membank, wordptr, wordcnt, ref value);
            Port0.Close();

            if (status == 0)
            {
                for (int i = 0; i < wordcnt * 2; i++)
                {
                    s2 = string.Format("{0:X2}", value[i]);
                    tagdata += s2;
                }
                MessageBox.Show("Lectura correcta", "OK", MessageBoxButtons.OK, MessageBoxIcon.None, MessageBoxDefaultButton.Button1);
                LecTagComercial.Text = "1 tag ledo";
                LecTagComercial.Text = tagdata;
                Port0.Close();
                this.timer1.Enabled = false;
            }
            else
            {
                MessageBox.Show("Error de lectura", "Error", MessageBoxButtons.OK, MessageBoxIcon.Exclamation, MessageBoxDefaultButton.Button1);
                Port0.Close();
                this.timer1.Enabled = false;
            }
        }

        private void Enviar_Click(object sender, EventArgs e)
        {
            ///XML FILE GEN.
            try
            {
                if (flagxml == false)
                {

                    EPCcode = genEPCcode();
                    tf = checkfish(tagdata.Substring(0, 2));

                    dirarchiv = @"\My Documents\capturas\" + "PES_" + DateTime.Now.ToString("ddMMyyHHmm") + ".xml";
                    XmlDocument xdoc = new XmlDocument();

                    XmlDeclaration xdec = xdoc.CreateXmlDeclaration("1.0", "UTF-8", "no");
                    xdoc.AppendChild(xdec);

                    XmlElement xroot = xdoc.CreateElement("epcis", "EPCISDocument", "EPCISDocument");
                    xdoc.AppendChild(xroot);
                    xroot.SetAttribute("xmlns:epcis", "urn:epcglobal:epcis:xsd:1");
                    xroot.SetAttribute("xmlns:xsi", "http://www.w3.org/2001/XMLSchema-instance");
                    xroot.SetAttribute("creationDate", DateTime.Now.ToString("yyyy-MM-ddTHH:mm:ss.fffzzzz"));
                    xroot.SetAttribute("schemaVersion", "1.0");

                    XmlElement xn1 = xdoc.CreateElement("EPCISBody");
                    xroot.AppendChild(xn1);

                    XmlElement xn2 = xdoc.CreateElement("EventList");
                    xn1.AppendChild(xn2);

                    XmlElement xn3 = xdoc.CreateElement("ObjectEvent");
                    xn2.AppendChild(xn3);

                    //Append to AGevent (xn3);
                    XmlElement xn4 = xdoc.CreateElement("eventTime");
                    xn3.AppendChild(xn4);
                    XmlText xn4T = xdoc.CreateTextNode(DateTime.Now.ToString("yyyy-MM-ddTHH:mm:ssZ"));
                    xn4.AppendChild(xn4T);

                    XmlElement xn5 = xdoc.CreateElement("eventTimeZoneOffset");
                    xn3.AppendChild(xn5);
                    XmlText xn5T = xdoc.CreateTextNode(DateTime.Now.ToString("zzzz"));
                    xn5.AppendChild(xn5T);

                    XmlElement xn6 = xdoc.CreateElement("epcList");
                    xn3.AppendChild(xn6);
                    XmlElement xn6i = xdoc.CreateElement("epc");
                    xn6.AppendChild(xn6i);
                    XmlText xn6T = xdoc.CreateTextNode("http://wmrfid.org/farm2fork/2000005/product/" + tf + "/" + EPCcode.Substring(0,11));
                    xn6i.AppendChild(xn6T);

                    XmlElement xn22 = xdoc.CreateElement("action");
                    xn3.AppendChild(xn22);
                    XmlText xn22T = xdoc.CreateTextNode("ADD");
                    xn22.AppendChild(xn22T);

                    XmlElement xn23 = xdoc.CreateElement("bizStep");
                    xn3.AppendChild(xn23);
                    XmlText xn23T = xdoc.CreateTextNode("http://wmrfid.org/farm2fork/2000005/bizstep/picking");
                    xn23.AppendChild(xn23T);

                    XmlElement xn24 = xdoc.CreateElement("disposition");
                    xn3.AppendChild(xn24);
                    XmlText xn24T = xdoc.CreateTextNode("http://wmrfid.org/farm2fork/2000005/disposition/in_progress");
                    xn24.AppendChild(xn24T);

                    XmlElement xn25 = xdoc.CreateElement("readPoint");
                    xn3.AppendChild(xn25);
                    XmlElement xn26 = xdoc.CreateElement("id");
                    xn25.AppendChild(xn26);
                    XmlText xn26T = xdoc.CreateTextNode("http://wmrfid.org/farm2fork/2000005/location/0000030401");   //30401 Sea Cages Reader ---> only one device now
                    xn26.AppendChild(xn26T);

                    XmlElement xn27 = xdoc.CreateElement("bizLocation"); // Tag fixed on the cage
                    xn3.AppendChild(xn27);
                    XmlElement xn28 = xdoc.CreateElement("id");
                    xn27.AppendChild(xn28);
                    XmlText xn28T = xdoc.CreateTextNode("http://wmrfid.org/farm2fork/2000005/location/0000020001"); 
                    xn28.AppendChild(xn28T);


                    xdoc.Save(dirarchiv);

                    dirclass = @"\My Documents\capturas\" + DateTime.Now.ToString("ddMMyy")+".xml";
                    dirclassR = @"\My Documents\capturas\" + DateTime.Now.ToString("ddMMyy") + "R.xml";

                    if (System.IO.File.Exists(dirclass))
                    {
                        XmlDocument docDatos = new XmlDocument();
                        //capturar documento XML
                        docDatos.Load(dirclass);
                        XmlElement union = docDatos.DocumentElement;
                        XmlElement xrootc = docDatos.CreateElement("Orden");
                        union.AppendChild(xrootc);
                        XmlElement xC1 = docDatos.CreateElement("HarvID");
                        xrootc.AppendChild(xC1);
                        XmlText xC1T = docDatos.CreateTextNode(EPCcode.Substring(0,11));
                        xC1.AppendChild(xC1T);
                        XmlElement xC2 = docDatos.CreateElement("Cajas");
                        xrootc.AppendChild(xC2);
                        XmlText xC2T = docDatos.CreateTextNode("empty");
                        xC2.AppendChild(xC2T);
                        //XmlElement xC3 = docDatos.CreateElement("Matricula");
                        //xrootc.AppendChild(xC3);
                        //XmlText xC3T = docDatos.CreateTextNode("");
                        //xC3.AppendChild(xC3T);
                        //XmlElement xC4 = docDatos.CreateElement("Recepcion");
                        //xrootc.AppendChild(xC4);
                        //XmlText xC4T = docDatos.CreateTextNode("false");
                        //xC4.AppendChild(xC4T);
                        docDatos.Save(dirclass);

                    }
                    else
                    {

                        XmlDocument xclass = new XmlDocument();

                        XmlDeclaration xdclass = xclass.CreateXmlDeclaration("1.0", "UTF-8", "no");
                        xclass.AppendChild(xdclass);
                        XmlElement xrootb = xclass.CreateElement("Ordenes");
                        xclass.AppendChild(xrootb);
                        XmlElement xrootc = xclass.CreateElement("Orden");
                        xrootb.AppendChild(xrootc);
                        XmlElement xC1 = xclass.CreateElement("HarvID");
                        xrootc.AppendChild(xC1);
                        XmlText xC1T = xclass.CreateTextNode(EPCcode.Substring(0,11));
                        xC1.AppendChild(xC1T);
                        XmlElement xC2 = xclass.CreateElement("Cajas");
                        xrootc.AppendChild(xC2);
                        XmlText xC2T = xclass.CreateTextNode("empty");
                        xC2.AppendChild(xC2T);
                        //XmlElement xC3 = xclass.CreateElement("Matricula");
                        //xC1.AppendChild(xC3);
                        //XmlText xC3T = xclass.CreateTextNode("");
                        //xC3.AppendChild(xC3T);
                        //XmlElement xC4 = xclass.CreateElement("Recepcion");
                        //xC1.AppendChild(xC4);
                        //XmlText xC4T = xclass.CreateTextNode("false");
                        //xC4.AppendChild(xC4T);

                        xclass.Save(dirclass);
                    }



                    fName = "PES_" + DateTime.Now.ToString("ddMMyyHHmm") + ".xml";
                    flagxml = true;
                }


            }
            catch
            {
                MessageBox.Show("Error al generar el archivo", "Error", MessageBoxButtons.OK, MessageBoxIcon.Exclamation, MessageBoxDefaultButton.Button1);
            }
            try //SEND
            {
                if (System.IO.File.Exists(diropc))
                {
                    XmlDocument docDatosIP = new XmlDocument();
                    //capturar documento XML
                    docDatosIP.Load(diropc);
                    //busqueda lista de nodos
                    XmlNode nodeIP;
                    nodeIP = docDatosIP.DocumentElement;
                    XmlNode nodeex = nodeIP.SelectSingleNode("/Opciones/IPenvio");
                    IP = nodeex.InnerText;
                    docDatosIP.Save(diropc);

                    string urlString = "http://" + IP + ":8080/epcis-repository-0.5.0/capture";
                    HttpWebRequest req = (HttpWebRequest)WebRequest.Create(urlString);

                    req.Method = "POST";

                    req.AllowWriteStreamBuffering = true;

                    // Retrieve request stream and wrap in StreamWriter

                    Stream reqStream = req.GetRequestStream();

                    StreamWriter wrtr = new StreamWriter(reqStream);



                    // Open the local file

                    StreamReader rdr = new StreamReader(dirarchiv);

                    // loop through the local file reading each line 

                    //  and writing to the request stream buffer

                    string inLine = rdr.ReadLine();

                    while (inLine != null)
                    {

                        wrtr.WriteLine(inLine);

                        inLine = rdr.ReadLine();

                    }

                    rdr.Close();

                    wrtr.Close();

                    //Comment if you want to keep XML file on mobile

                    //File.Delete((System.IO.Path.GetDirectoryName(System.Reflection.Assembly.GetExecutingAssembly().GetName().CodeBase)) + "xml.xml");

                    Object obj = req.GetResponse();



                    MessageBox.Show("Enviado correctamente", "OK", MessageBoxButtons.OK, MessageBoxIcon.None, MessageBoxDefaultButton.Button1);
                    if (obj != null)
                        File.Delete(dirarchiv);
                }
                else
                {
                    MessageBox.Show("Falta IP de envo", "Error", MessageBoxButtons.OK, MessageBoxIcon.Exclamation, MessageBoxDefaultButton.Button1);
                }
            }

            catch (Exception ex)
            {
                MessageBox.Show("Error al enviar el archivo", "Error", MessageBoxButtons.OK, MessageBoxIcon.Exclamation, MessageBoxDefaultButton.Button1);
                const string fic = @"\My Documents\capturas\LOGPruebas.txt";
                System.IO.StreamWriter sw = new System.IO.StreamWriter(fic);
                sw.WriteLine(DateTime.Now.ToString("yyyy-MM-ddTHH:mm:ss.ffzzzz") + " --> " + ex.Message);
                sw.Close();

                //xml direcciones de archivos a reenviar
                dirclassR = @"\My Documents\capturas\" + DateTime.Now.ToString("ddMMyy") + "R.xml";

                if (System.IO.File.Exists(dirclassR))
                {
                    XmlDocument docDatos = new XmlDocument();
                    //capturar documento XML
                    docDatos.Load(dirclassR);
                    XmlElement union = docDatos.DocumentElement;
                    XmlElement xrootc = docDatos.CreateElement("Ruta");
                    union.AppendChild(xrootc);
                    XmlText xC1T = docDatos.CreateTextNode(dirarchiv);
                    xrootc.AppendChild(xC1T);
                    docDatos.Save(dirclassR);

                }
                else
                {

                    XmlDocument xclass = new XmlDocument();

                    XmlDeclaration xdclass = xclass.CreateXmlDeclaration("1.0", "UTF-8", "no");
                    xclass.AppendChild(xdclass);
                    XmlElement xrootb = xclass.CreateElement("Archivos");
                    xclass.AppendChild(xrootb);
                    XmlElement xC1 = xclass.CreateElement("Ruta");
                    xrootb.AppendChild(xC1);
                    XmlText xC1T = xclass.CreateTextNode(dirarchiv);
                    xC1.AppendChild(xC1T);
                    xclass.Save(dirclassR);
                }

            }


        }

        string checkfish(string da)
        {
            string ft = "";
            switch (da)
            {
                case "12":
                    ft = "000112";
                    break;
                case "13":
                    ft = "000113";
                    break;
            }

            return ft;
        }

        string genEPCcode()
        {

            // FOLLOWING V5 SPEC TABLE
            int HH = (UInt16.Parse(tagdata.Substring(12,1)) + 1);


            return tagdata.Substring(2, 10) + HH.ToString().PadRight(2, '0');


        }

        private void EscTagComercial_Click(object sender, EventArgs e)
        {

            Port0.ClearIdBuf();
            Port0.Open();
            this.timer2.Enabled = true;

            //int status = 1;
            //string tmpStr = tagdata.Substring(0, 2) + EPCcode+"00";    // Only takes the crucial digits 02 o 03 depending on the type of fish
            //byte[] value = new byte[8];                                      // Type of fish + BatchID + Batch moving number ---> 12 digitos
            ////value[7] = 0;

            //for (int j = 0; j <value.Length; j++)
            //{
            //    value[j] = Convert.ToByte(tmpStr.Substring(j * 2, 2), 16);
            //}

            ////Port0.ClearIdBuf();
            ////Port0.Open();
            //if (Port0.Opened==true)
            //    status=Port0.EpcBlockWrite(3, 0, ref value, 4);
            //Port0.Close();

            //if (status == 0)
            //{
            //    MessageBox.Show("Escritura correcta", "OK", MessageBoxButtons.OK, MessageBoxIcon.None, MessageBoxDefaultButton.Button1);
            //}
            //else
            //{
            //    MessageBox.Show("Error en la escritura", "Error", MessageBoxButtons.OK, MessageBoxIcon.Exclamation, MessageBoxDefaultButton.Button1);
            //}
        }

        private void timer2_Tick(object sender, EventArgs e)
        {
            int status = 1;
            string tmpStr = tagdata.Substring(0, 2) + EPCcode + "00";    // Only takes the crucial digits 02 o 03 depending on the type of fish
            byte[] value = new byte[8];                                      // Type of fish + BatchID + Batch moving number ---> 12 digitos
            //value[7] = 0;

            for (int j = 0; j < value.Length; j++)
            {
                value[j] = Convert.ToByte(tmpStr.Substring(j * 2, 2), 16);
            }

            if (Port0.Opened == true)
                status = Port0.EpcBlockWrite(3, 0, ref value, 4);
            //Port0.Close();

            if (status == 0)
            {
                MessageBox.Show("Escritura correcta", "OK", MessageBoxButtons.OK, MessageBoxIcon.None, MessageBoxDefaultButton.Button1);
                Port0.Close();
                this.timer2.Enabled = false;
            }
            else
            {
                MessageBox.Show("Error en la escritura", "Error", MessageBoxButtons.OK, MessageBoxIcon.Exclamation, MessageBoxDefaultButton.Button1);
                Port0.Close();
                this.timer2.Enabled = false;
            }


        }




    }
}